Engine2 Class Reference

`#include <engine.test.h>`

Inheritance diagram for Engine2:
[legend]
Collaboration diagram for Engine2:
[legend]

## Public Member Functions

| Engine2 ()
Public Member Functions inherited from Public< Engine >
| Public (MemoryManager *mman=0, const std::string &name=std::string(), const std::string &usage=std::string(), const std::string &description=std::string(), const std::string &longDescription=std::string())
ArgList::iterator | parseList (ArgList &list)
ArgList::iterator | parse (ArgList &list, ArgList::iterator begin)

## Public Attributes

BoolOption * | help
Engine * | scramble
BoolOption * | scramble_random
StringOption * | scramble_yell
Engine * | fix
BoolOption * | fix_quick
StringOption * | fix_yell

## Constructor & Destructor Documentation

Engine2::Engine2 | ( |  | ) |

inline

## Member Data Documentation

Engine* Engine2::fix

Referenced by TestCommandlineEngine::commandsWithOverlappingArgs().

BoolOption* Engine2::fix_quick

Referenced by TestCommandlineEngine::commandsWithoutCommand(), TestCommandlineEngine::commandsWithOverlappingArgs(), and TestCommandlineEngine::commandWithArg().

StringOption* Engine2::fix_yell

Referenced by TestCommandlineEngine::commandsWithoutCommand(), TestCommandlineEngine::commandsWithOverlappingArgs(), and TestCommandlineEngine::commandWithArg().

BoolOption* Engine2::help

Referenced by TestCommandlineEngine::commandsWithoutCommand(), TestCommandlineEngine::commandsWithOverlappingArgs(), and TestCommandlineEngine::commandWithArg().

Engine* Engine2::scramble

Referenced by TestCommandlineEngine::commandWithArg().

BoolOption* Engine2::scramble_random

Referenced by TestCommandlineEngine::commandsWithoutCommand(), TestCommandlineEngine::commandsWithOverlappingArgs(), and TestCommandlineEngine::commandWithArg().

StringOption* Engine2::scramble_yell

Referenced by TestCommandlineEngine::commandsWithoutCommand(), TestCommandlineEngine::commandsWithOverlappingArgs(), and TestCommandlineEngine::commandWithArg().

The documentation for this class was generated from the following file:

- engine.test.h